Date: Friday, January 13, 2017 @ 11:09:51
  Author: anthraxx
Revision: 286190

upgpkg: libvncserver 0.9.11-1 (security update)

Modified:
  libvncserver/trunk/PKGBUILD
Deleted:
  libvncserver/trunk/initialize-libgcrypt.patch

----------------------------+
 PKGBUILD                   |   19 +++++--------------
 initialize-libgcrypt.patch |   39 ---------------------------------------
 2 files changed, 5 insertions(+), 53 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD    2017-01-13 10:04:10 UTC (rev 286189)
+++ PKGBUILD    2017-01-13 11:09:51 UTC (rev 286190)
@@ -4,26 +4,17 @@
 # Contributor: Tobias Powalowski <tp...@archlinux.org>
 
 pkgname=libvncserver
-pkgver=0.9.10
-pkgrel=4
-pkgdesc="A cross-platform C libraries that allow you to easily implement VNC 
server"
+pkgver=0.9.11
+pkgrel=1
+pkgdesc="Cross-platform C libraries that allow you to easily implement VNC 
server or client functionality"
 arch=('i686' 'x86_64')
 url="https://libvnc.github.io/";
 license=('GPL')
 depends=('libpng' 'libjpeg' 'gnutls' 'libgcrypt' 'openssl')
 makedepends=('sdl')
-source=("https://github.com/LibVNC/libvncserver/archive/LibVNCServer-${pkgver}.tar.gz";
-        initialize-libgcrypt.patch)
-md5sums=('e1b888fae717b06896f8aec100163d27'
-         'e22024d3a81c45129411e39e7d143835')
+source=("https://github.com/LibVNC/libvncserver/archive/LibVNCServer-${pkgver}.tar.gz";)
+sha256sums=('193d630372722a532136fd25c5326b2ca1a636cbb8bf9bb115ef869c804d2894')
 
-prepare() {
-  cd ${pkgname}-LibVNCServer-${pkgver}
-  # Fix crashing when connecting to Mac hosts
-  # Suggested by upstream: 
https://github.com/LibVNC/libvncserver/pull/51#issuecomment-68884516
-  patch -p1 -i ../initialize-libgcrypt.patch
-}
-
 build() {
   cd ${pkgname}-LibVNCServer-${pkgver}
   ./autogen.sh

Deleted: initialize-libgcrypt.patch
===================================================================
--- initialize-libgcrypt.patch  2017-01-13 10:04:10 UTC (rev 286189)
+++ initialize-libgcrypt.patch  2017-01-13 11:09:51 UTC (rev 286190)
@@ -1,39 +0,0 @@
-From 4674d4632b9ffc6779d9c9f79b8ebb53c12e29b2 Mon Sep 17 00:00:00 2001
-From: Floris Bos <b...@je-eigen-domein.nl>
-Date: Fri, 2 Jan 2015 16:36:05 +0100
-Subject: [PATCH] Initialize libgcrypt before use
-
-https://www.gnupg.org/documentation/manuals/gcrypt/Initializing-the-library.html
-"Before the library can be used, it must initialize itself.
-This is achieved by invoking the function gcry_check_version"
-
-Closes issue #45
-Tested with krdc + libgcrypt 1.6.1 (libgcrypt20-dev Ubunutu package)
-connecting to a Mac Mini.
-
-Signed-off-by: Floris Bos <b...@je-eigen-domein.nl>
----
- libvncclient/rfbproto.c | 10 ++++++++++
- 1 file changed, 10 insertions(+)
-
-diff --git a/libvncclient/rfbproto.c b/libvncclient/rfbproto.c
-index f653850..aa74c23 100644
---- a/libvncclient/rfbproto.c
-+++ b/libvncclient/rfbproto.c
-@@ -857,6 +857,16 @@ HandleARDAuth(rfbClient *client)
-   rfbCredential *cred = NULL;
-   rfbBool result = FALSE;
- 
-+  if (!gcry_control(GCRYCTL_INITIALIZATION_FINISHED_P))
-+  {
-+    /* Application did not initialize gcrypt, so we should */
-+    if (!gcry_check_version(GCRYPT_VERSION))
-+    {
-+      /* Older version of libgcrypt is installed on system than compiled 
against */
-+      rfbClientLog("libgcrypt version mismatch.\n");
-+    }
-+  }
-+
-   while (1)
-   {
-     if (!ReadFromRFBServer(client, (char *)gen, 2))

Reply via email to